import {
    createSelector,
    createFeatureSelector,
    ActionReducerMap,
  } from '@ngrx/store';

  import { StateSelector } from 'packages/core/ngrx/store';

  import { MODULE } from '../meta.constant';

  import * as ListStore from './crawler/list';

  export interface State {
    list: ListStore.State;
  }

  export const REDUCERS = {
    list: ListStore.reducer,
  };

  export const EFFECTS = [
    ListStore.Effects,
  ];

  export const selectCrawlerListState = createFeatureSelector<State>(MODULE.name);

  export const CrawlerListSelector = new StateSelector<ListStore.State>(createSelector(
    selectCrawlerListState,
    (state: State) => state.list
  ));

